Bug 832952 - Existing old jbossas app with jenkins can not build successfully for non-vip users
Existing old jbossas app with jenkins can not build successfully for non-vip...
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
: FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-06-18 05:20 EDT by Meng Bo
Modified: 2015-05-14 18:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-19 15:47:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-06-18 05:20:33 EDT
Description of problem:
Since the jbossas default jenkins builder size has been changed to small, the old jbossas apps should follow this change during migration.

Version-Release number of selected component (if applicable):
./migrate --version 2.0.13

How reproducible:
1 of 1 try

Steps to Reproduce:
1.create jbossas app with jenkins embedded on old devenv_stage
2.do upgrade and migration
3.check the builder size for jbossas app in jenkins console
Actual results:
The default builder size still 'medium'.

Expected results:
It should change to 'small'.

Additional info:
Comment 1 Xiaoli Tian 2012-06-18 08:21:03 EDT
Existing jenkins job for jboss app still uses medium profile, but non-vip user can not build it with jenkins successfully.
Comment 2 Rob Millner 2012-06-18 14:10:38 EDT
It was decided to not migrate this feature.  Any non-vip user who is using jenkins with jboss has already switched their own builder size to small.
Comment 3 Rob Millner 2012-06-18 16:56:28 EDT
Crankcase pull request #141, commit df332b2 resolves the issue.

[phtest-rmillner0175.dev.rhcloud.com ~]\> mysql
Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 5
Server version: 5.1.61 Source distribution

Copyright (c) 2000, 2011, Oracle and/or its affiliates. All rights reserved.

Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

mysql> Bye
Comment 4 Rob Millner 2012-06-18 18:58:57 EDT
Sorry, last comment was intended to be on bugzilla ticket 833012.
Comment 5 Rob Millner 2012-06-18 21:21:13 EDT
Moving off the build blockers list but keeping it open to have a discussion about whether this should be migrated.
Comment 6 Rob Millner 2012-06-19 15:47:45 EDT
Short discussion with Mike; we'd rather not risk automatically breaking an existing app that legitimately needs a medium builder.

Note You need to log in before you can comment on or make changes to this bug.